spatialite_tool(1)

NAME
spatialite_tool - CLI tool for Shapefile import/export

SYNOPSIS
\FCspatialite_tool\F[]
[\FC-h\F[] | \FC-i\F[] | \FC-e\F[]] [\FC-dbf\F[] pathname] [\FC-shp\F[] pathname] [\FC-d\F[] pathname] [\FC-t\F[] table_name] [\FC-g\F[] col_name] [\FC-c\F[] charset_name] [\FC-s\F[] SRID] [\FC--type\F[] [POINT | LINESTRING | POLYGON | MULTIPOINT] ] [\FC-2\F[]] [\FC-k\F[]]

DESCRIPTION
spatialite_tool is an utility CLI tool for Shapefile import / export.

OPTIONS

\FC-h\F[], \FC--help\F[]
    show help message

\FC-i\F[], \FC--import\F[]
    import (CSV/TXT, DBF or SHP)

\FC-e\F[], \FC--export-shp\F[]
    exporting some shapefile

\FC-dbf\F[] pathname, \FC--dbf-path\F[] pathname
    the full DBF path

\FC-shp\F[] pathname, \FC--shapefile\F[] pathname
    the shapefile path (NO SUFFIX)

\FC-d\F[] pathname, \FC--db-path\F[] pathname
    the SpatiaLite DB path

\FC-t\F[] table_name, \FC--table\F[] table_name
    the db geotable

\FC-g\F[] col_name, \FC--geometry-column\F[] col_name
    the Geometry column

\FC-c\F[] charset_name, \FC--charset\F[] charset_name
    a charset name

\FC-s\F[] SRID, \FC--srid\F[] SRID
    the SRID

\FC--type\F[] [POINT | LINESTRING | POLYGON | MULTIPOINT]
    the geometry type

\FC-2\F[], \FC--coerce-2d\F[]
    coerce to 2D geoms (x,y)

\FC-k\F[], \FC--compressed\F[]
    apply geometry compression

EXAMPLE
\FC
spatialite_tool -i -dbf abc.dbf -d db.sqlite -t tbl -c CP1252
      \F[]

\FC
spatialite_tool -i -shp abc -d db.sqlite -t tbl -c CP1252 [-s 4326] [-g geom]
      \F[]

\FC
spatialite_tool -i -shp abc -d db.sqlite -t tbl -c CP1252 [-s 4326] [-2] [-k]
      \F[]

\FC
spatialite_tool -e -shp abc -d db.sqlite -t tbl -g geom -c CP1252 [--type POINT]
      \F[]